Red Hat Satellite engineering is moving the tracking of its product development work on Satellite to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "Satellite project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs will be migrated starting at the end of May. If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "Satellite project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/SAT-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 2052851 - Exclude filter may exclude errata and packages that are needed
Summary: Exclude filter may exclude errata and packages that are needed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: 6.11.1
Assignee: Ian Ballou
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-10 07:38 UTC by Hao Chang Yu
Modified: 2022-09-23 20:57 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-katello-4.3.0.43-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2093409 2106091 (view as bug list)
Environment:
Last Closed: 2022-07-27 17:27:09 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)
errata filter verificatoin (42.28 KB, image/png)
2022-07-12 13:13 UTC, Lai
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 34437 0 Normal Closed Exclude filter may exclude errata and packages that are needed 2022-06-02 14:38:25 UTC
Red Hat Product Errata RHBA-2022:5742 0 None None None 2022-07-27 17:27:19 UTC

Description Hao Chang Yu 2022-02-10 07:38:19 UTC
Description of problem:
Some packages are associated to multiple errata. Each of the errata has different issued/updated date. If one or more of those errata are within the date range of a exclude filter, all of them will be excluded.

For example, Modular "lua-guestfs-1.40.2-24.module+el8.2.1+7154+47ffd890.x86_64.rpm" are associated to multiple errata in the advanced virtualization repo. If any of the erratum is excluded by the filter, others will also be excluded.
-------------------------------------------------------
pp Katello::ErratumPackage.where(filename: "lua-guestfs-1.40.2-24.module+el8.2.1+7154+47ffd890.x86_64.rpm").map(&:erratum).collect{|et| [et.errata_id, et.is
sued, et.updated]}.uniq.sort_by{|et| et[2]}.reverse
[["RHSA-2021:5036", Wed, 08 Dec 2021, Wed, 08 Dec 2021],
 ["RHSA-2021:3704", Thu, 30 Sep 2021, Thu, 30 Sep 2021],
 ["RHSA-2021:2521", Tue, 22 Jun 2021, Tue, 22 Jun 2021],
 ["RHSA-2021:0743", Mon, 08 Mar 2021, Mon, 08 Mar 2021],
 ["RHSA-2021:0648", Tue, 23 Feb 2021, Tue, 23 Feb 2021],
 ["RHSA-2020:5111", Mon, 16 Nov 2020, Mon, 16 Nov 2020],
 ["RHSA-2020:4291", Tue, 20 Oct 2020, Tue, 20 Oct 2020],
 ["RHBA-2020:4221", Mon, 12 Oct 2020, Mon, 12 Oct 2020],
 ["RHSA-2020:3586", Tue, 01 Sep 2020, Tue, 01 Sep 2020],
 ["RHBA-2020:3172", Tue, 28 Jul 2020, Tue, 28 Jul 2020]]
--------------------------------------------------------


Steps to Reproduce:
Perform the following steps on Satellite 6.9 and 6.10 for comparison:
1. Enable and sync "Advanced Virtualization for RHEL 8 x86_64 RPMs" repo
2. Create a content view named "cv-virt-test" and attach the above repo
3. Create an include filter named "erratum_inclusion" and set end date as 11 September 2021
4. Create an exclude filter named "erratum_exclusion" and set start date as 01 September 2020
5. Publish the content view

Actual results:

Satellite 6.9:
988 Packages
16 Errata ( 5  11  0  )
16 Module Streams

Satellite 6.10:
809 Packages
8 Errata ( 3  5  0  )
16 Module Streams


Expected results:
Should match the result of Satellite 6.9

Additional info:
As we can see below the errata that updated before 01 September 2020 are excluded in Satellite 6.10

Result of Satellite 6.9:
[ErrataID, Issued, Updated]
["RHBA-2020:3234", Wed, 29 Jul 2020, Wed, 29 Jul 2020],
["RHBA-2020:3172", Tue, 28 Jul 2020, Tue, 28 Jul 2020],
["RHBA-2020:2552", Mon, 15 Jun 2020, Mon, 15 Jun 2020],
["RHBA-2020:2017", Tue, 05 May 2020, Tue, 05 May 2020],
["RHBA-2020:1537", Wed, 22 Apr 2020, Wed, 22 Apr 2020],
["RHSA-2020:1261", Wed, 01 Apr 2020, Wed, 01 Apr 2020],
["RHSA-2020:0731", Thu, 05 Mar 2020, Thu, 05 Mar 2020],
["RHSA-2020:0555", Wed, 19 Feb 2020, Wed, 19 Feb 2020],
["RHBA-2020:0510", Mon, 17 Feb 2020, Mon, 17 Feb 2020],
["RHBA-2020:0404", Tue, 04 Feb 2020, Tue, 04 Feb 2020],
["RHBA-2019:3732", Wed, 06 Nov 2019, Wed, 06 Nov 2019],
["RHBA-2019:3723", Wed, 06 Nov 2019, Wed, 06 Nov 2019],
["RHBA-2019:2395", Wed, 07 Aug 2019, Wed, 07 Aug 2019],
["RHSA-2019:1762", Thu, 11 Jul 2019, Thu, 11 Jul 2019],
["RHSA-2019:1455", Tue, 11 Jun 2019, Tue, 11 Jun 2019],
["RHBA-2019:1293", Wed, 29 May 2019, Wed, 29 May 2019]


Result of Satellite 6.10:
[ErrataID, Issued, Updated]
["RHSA-2020:0555", Wed, 19 Feb 2020, Wed, 19 Feb 2020],
["RHBA-2020:0510", Mon, 17 Feb 2020, Mon, 17 Feb 2020],
["RHBA-2019:3723", Wed, 06 Nov 2019, Wed, 06 Nov 2019],
["RHBA-2019:3732", Wed, 06 Nov 2019, Wed, 06 Nov 2019],
["RHBA-2019:2395", Wed, 07 Aug 2019, Wed, 07 Aug 2019],
["RHSA-2019:1762", Thu, 11 Jul 2019, Thu, 11 Jul 2019],
["RHSA-2019:1455", Tue, 11 Jun 2019, Tue, 11 Jun 2019],
["RHBA-2019:1293", Wed, 29 May 2019, Wed, 29 May 2019]

Comment 1 Hao Chang Yu 2022-02-11 01:10:55 UTC
Created redmine issue https://projects.theforeman.org/issues/34437

Comment 2 Bryan Kearney 2022-03-11 00:05:14 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/34437 has been resolved.

Comment 7 Lai 2022-07-12 13:12:54 UTC
Steps to retest:
Perform the following steps on Satellite 6.9 and 6.10 for comparison:
1. Enable and sync "Advanced Virtualization for RHEL 8 x86_64 RPMs" repo
2. Create a content view named "cv-virt-test" and attach the above repo
3. Create an include filter named "erratum_inclusion" and set end date as 11 September 2021
4. Create an exclude filter named "erratum_exclusion" and set start date as 01 September 2020
5. Publish the content view


Expected results:

Satellite 6.9:
988 Packages
16 Errata
16 Module Streams

Satellite 6.11.1:
988 Packages
16 Errata
16 Module Streams

Actual results:

Satellite 6.9:
988 Packages
16 Errata
16 Module Streams

Satellite 6.11.1:
988 Packages
16 Errata
16 Module Streams

Verified on 6.11.1 snap 1 with rubygem-katello-4.3.0.44-1.el8sat.noarch

Comment 8 Lai 2022-07-12 13:13:28 UTC
Created attachment 1896355 [details]
errata filter verificatoin

Comment 9 Lai 2022-07-13 14:21:47 UTC
Wanted to add that this is tested on both rhel7 and rhel8.

Comment 14 errata-xmlrpc 2022-07-27 17:27:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Satellite 6.11.1 Async Bug Fix Update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:5742


Note You need to log in before you can comment on or make changes to this bug.